Bug 1199208 - remove unused POWER drivers
Summary: remove unused POWER drivers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Shmuel Melamud
QA Contact: Artyom
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-05 16:17 UTC by Michal Skrivanek
Modified: 2016-04-20 01:39 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-20 01:39:41 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 39316 0 master MERGED engine: removed unused PPC network drivers Never

Description Michal Skrivanek 2015-03-05 16:17:03 UTC
based on an offline discussion we'd like to drop some drivers from all supported PPC OSes for 3.6/RHEL 7.2

---

> > for ppc we have following drivers:
> > network: VirtIO, VirtIO_SCSI, SPAPR_VSCSI
> > storage: VirtIO, spaprVlan, e1000, rtl8139
>
> Is it too late to remove e1000 and rtl8139?  There's really no reason
> you'd need those instead of virtio or spapr-vlan, and they complicate
> matters.  We've already disabled them in the RHEL hypervisor, and I
> gather e1000 doesn't work (though rtl8139 does) in the IBM hypervisor.


well, it's too late for RHEV For Power released last October, but certainly
not late for RHEV 3.6/RHEL 7.2. It's configurable per guest OS

Comment 1 Ilanit Stein 2015-04-29 15:07:40 UTC
For verification: 
Choose on cluster ppc64 architecture, and check that for a new VM added, there are no e1000 and rtl8139 options, when adding network interface.

Comment 2 Artyom 2015-05-03 13:23:00 UTC
Wait for 3.6 RHEL7.2 ppc build

Comment 3 Artyom 2015-07-13 12:52:32 UTC
Verified on ovirt-engine-3.6.0-0.0.master.20150627185750.git6f063c1.el6.noarch
Available network device types:
VirtiO
sPARP VLAN
PCI Passthrough


Note You need to log in before you can comment on or make changes to this bug.